Imports System.Net.Sockets
Imports System.IO
Imports System.Net
Public Class frmMain
    'Variablen:
    Dim stream As NetworkStream
    Dim streamw As StreamWriter
    Dim streamr As StreamReader
    Dim Server As TcpListener
    Dim client As New TcpClient
    Dim ipendpoint As IPEndPoint = New IPEndPoint(IPAddress.Any, 4000)
    Dim mainthread As Threading.Thread
    '______________
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        '  Dim c As New AsynchronousSocketListener




        'mainthread = New Threading.Thread(AddressOf mainserver)
        'mainthread.Start()
    End Sub
    Sub mainserver()
        Try
            Server = New TcpListener(ipendpoint)
            Server.Start()
            client = Server.AcceptTcpClient
            stream = client.GetStream
            streamr = New StreamReader(stream)
            streamw = New StreamWriter(stream)  ' Müsste eigentlich alles Klar sein.
            While True
                Select Case streamr.ReadLine
                    Case "onl" ' und so weiter eigentlich müsste es heißen select case mid(streamr.readline,1,3) Aber da des ja vielen zu Kompiziert ist lass ich das mal weg^^
                        streamw.WriteLine("ok") ' Achtung! ist nicht Vollständig!
                        streamw.Flush()      ' Code muss angepasst werden.....
                        startInitAufschubkonten()
                    Case "initAufschubkonten"  ' ......
                        startInitAufschubkonten()
                        streamw.WriteLine("ok") ' Achtung! ist nicht Vollständig!
                        streamw.Flush()      ' Code muss angepasst werden.....

                    Case Is <> "" '........
                        MsgBox(streamr.ReadLine)
                End Select
            End While
        Catch
            ' Hier wieder eine Fehler behandlung und ein neuen Versuch den Server zu starten...
        End Try
    End Sub
    Private Sub Form1__close(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.FormClosing
        ' Server.Stop()
        Try
            mainthread.Abort()
        Catch
        End Try
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Me.Close()
    End Sub

    Sub startInitAufschubkonten()
        Try
            AtlasAufschubDatenEinlesen.initAllFiles("\\192.168.0.95\g\atlas\atlas\fssouzb")
            AtlasAufschubDatenEinlesen.initAllFiles("\\192.168.133.98\g\atlas\atlas\fssouzb")
        Catch ex As Exception
            writeLog("ERROR", "Fehler frmAtalsAufschub, Load: " & ex.Message)
        End Try
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        'mainthread = New Threading.Thread(AddressOf mainserver2)
        'mainthread.Start()
        frmServer.Show()

    End Sub

    Sub mainserver2()
        Try
            AsynchronousSocketListener.Main()
        Catch
            ' Hier wieder eine Fehler behandlung und ein neuen Versuch den Server zu starten...
        End Try
    End Sub




End Class
